/*  ********************************************************************
	ASPTDISPLAY.H

    Declares functions used to print ASPT objects.
    ******************************************************************** */

/*  *************  Version 2.1, Release October 2002. ****************** */

/*  ********************************************************************
    Copyright (c) DSP ALGORITHMS 2000-2002.
    All rights reserved. The code herein is and remains the Property
    of DSP ALGORITHMS. Restricted rights to use, modify, or disclose
    are granted through a license agreement. Please read and understand
    the license terms and conditions carefully before using this code.
    ********************************************************************  */


#ifndef DISPLAY_H_
#define DISPLAY_H_

#include <stdio.h>
#include "asptdefs.h"

#ifdef __cplusplus
extern "C" {
#endif

DT32S	dispR32f   (const DT32F x[], DT32S N);
DT32S	fdispR32f  (FILE *f, const DT32F x[], DT32S N);

DT32S	dispC32f   (const DT32F x[], DT32S N);
DT32S	fdispC32f  (FILE *f, const DT32F x[], DT32S N);

DT32S	dispR32fc  (const DT32FC x[], DT32S N);
DT32S	fdispR32fc (FILE *f, const DT32FC x[], DT32S N);

DT32S	dispC32fc  (const DT32FC x[], DT32S N);
DT32S	fdispC32fc (FILE *f, const DT32FC x[], DT32S N);

DT32S	dispM32f(const DT32F x[],DT32S col,DT32S row);
DT32S	fdispM32f(FILE *f,const DT32F x[],DT32S col,DT32S row);
DT32S	dispMT32f(const DT32F x[],DT32S col,DT32S row);
DT32S	fdispMT32f(FILE *f,const DT32F x[],DT32S col,DT32S row);

DT32S	dispMc32f(const DT32F x[],DT32S chL,DT32S Nin,DT32S Nout,DT32S N);
DT32S	fdispMc32f(FILE *f,const DT32F x[],DT32S chL,DT32S Nin,DT32S Nout,DT32S N);
DT32S	dispMcR32f(const DT32F x[],DT32S chL,DT32S Nin,DT32S in,DT32S out,DT32S N);
DT32S	fdispMcR32f(FILE *f,const DT32F x[],DT32S chL,DT32S Nin,DT32S in,DT32S out,DT32S N);
DT32S	dispMcC32f(const DT32F x[],DT32S chL,DT32S Nin,DT32S in,DT32S out,DT32S N);
DT32S	fdispMcC32f(FILE *f,const DT32F x[],DT32S chL,DT32S Nin,DT32S in,DT32S out,DT32S N);

#ifdef __cplusplus
}
#endif

#endif /* ASPTDISPLAY_H_ */
