/*  ********************************************************************
	ASPTDISPLAY.H

    Declares functions used to print ASPT objects.
    ******************************************************************** */

/*  *************  Version 2.1, Release October 2002. ****************** */

/*  ********************************************************************
    Copyright (c) DSP ALGORITHMS 2000-2002.
    All rights reserved. The code herein is and remains the Property
    of DSP ALGORITHMS. Restricted rights to use, modify, or disclose
    are granted through a license agreement. Please read and understand
    the license terms and conditions carefully before using this code.
    ********************************************************************  */


#ifndef DISPLAY_H_
#define DISPLAY_H_

#include <stdio.h>
#include "asptdefs.h"

#ifdef __cplusplus
extern "C" {
#endif

DT32S	dispR64f   (const DT64F x[], DT32S N);
DT32S	fdispR64f  (FILE *f, const DT64F x[], DT32S N);

DT32S	dispC64f   (const DT64F x[], DT32S N);
DT32S	fdispC64f  (FILE *f, const DT64F x[], DT32S N);

DT32S	dispR64fc  (const DT64FC x[], DT32S N);
DT32S	fdispR64fc (FILE *f, const DT64FC x[], DT32S N);

DT32S	dispC64fc  (const DT64FC x[], DT32S N);
DT32S	fdispC64fc (FILE *f, const DT64FC x[], DT32S N);

DT32S	dispM64f(const DT64F x[],DT32S col,DT32S row);
DT32S	fdispM64f(FILE *f,const DT64F x[],DT32S col,DT32S row);
DT32S	dispMT64f(const DT64F x[],DT32S col,DT32S row);
DT32S	fdispMT64f(FILE *f,const DT64F x[],DT32S col,DT32S row);

DT32S	dispMc64f(const DT64F x[],DT32S chL,DT32S Nin,DT32S Nout,DT32S N);
DT32S	fdispMc64f(FILE *f,const DT64F x[],DT32S chL,DT32S Nin,DT32S Nout,DT32S N);
DT32S	dispMcR64f(const DT64F x[],DT32S chL,DT32S Nin,DT32S in,DT32S out,DT32S N);
DT32S	fdispMcR64f(FILE *f,const DT64F x[],DT32S chL,DT32S Nin,DT32S in,DT32S out,DT32S N);
DT32S	dispMcC64f(const DT64F x[],DT32S chL,DT32S Nin,DT32S in,DT32S out,DT32S N);
DT32S	fdispMcC64f(FILE *f,const DT64F x[],DT32S chL,DT32S Nin,DT32S in,DT32S out,DT32S N);

#ifdef __cplusplus
}
#endif

#endif /* ASPTDISPLAY_H_ */
